Dedizierte Server

Cloud

Cloud-Konsole

Security scans

List security findings

GET/v1/organization/security/findings

Lists security scan findings on the organization's IP addresses, filtered by severity, plugin, IP address, or service.

Autorisierung

  • Authorizationstringheadererforderlich

    Organization API key (org_...), created in the cloud console at https://cloud.serverside.com and shown once, sent as Authorization: Bearer <key>. It authenticates as the organization.

Erforderliche Berechtigung: organization.networking.read

Query-Parameter

  • filterobject
  • pageinteger<int32>

    Grenzen:1 <= x <= 2147483

  • pageSizeinteger<int32>

    Grenzen:1 <= x <= 1000

  • sortColumnstring
  • ascendingboolean
  • severityenum<string>

    Zulässige Werte:UNKNOWNINFOLOWMEDIUMHIGHCRITICAL

  • pluginstring
  • ipstring
  • serviceIdstring<uuid>

Antwort

200 · application/json

OK

  • successbooleanerforderlich

    Zulässige Werte:true

  • dataobject[] | nullerforderlich
  • paginationobject